Bug 17582 - Cannot edit an authority framework
Summary: Cannot edit an authority framework
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: System Administration (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low major (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 15381
Blocks:
  Show dependency treegraph
 
Reported: 2016-11-08 14:43 UTC by Jonathan Druart
Modified: 2017-06-14 22:18 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 17582: Fix authority framework edition (1.46 KB, patch)
2016-11-08 14:45 UTC, Jonathan Druart
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 17582: Fix authority framework edition (1.58 KB, patch)
2016-11-08 16:37 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
Bug 17582: Fix authority framework edition (1.68 KB, patch)
2016-11-12 03:00 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2016-11-08 14:43:15 UTC
Template process failed: undef error - The method value is not covered by tests! at /home/vagrant/kohaclone/C4/Templates.pm line 121.
Comment 1 Jonathan Druart 2016-11-08 14:43:30 UTC
Seems to be related to bug 15381
Comment 2 Jonathan Druart 2016-11-08 14:45:08 UTC
Created attachment 57328 [details] [review]
Bug 17582: Fix authority framework edition

Step to recreate:
Admin>Authority types > Actions > Marc structure

Test plan
Confirm that this patch fixes the issue
Comment 3 Bernardo Gonzalez Kriegel 2016-11-08 16:37:05 UTC
Created attachment 57340 [details] [review]
[SIGNED-OFF] Bug 17582: Fix authority framework edition

Step to recreate:
Admin>Authority types > Actions > Marc structure

Test plan
Confirm that this patch fixes the issue

Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>
Fix the issue, no errors.
Can edit auth marc structure
Comment 4 Tomás Cohen Arazi 2016-11-12 03:00:54 UTC
Created attachment 57461 [details] [review]
Bug 17582: Fix authority framework edition

Step to recreate:
Admin>Authority types > Actions > Marc structure

Test plan
Confirm that this patch fixes the issue

Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>
Fix the issue, no errors.
Can edit auth marc structure

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 5 Kyle M Hall 2016-11-14 11:24:16 UTC
Pushed to master for 16.11, thanks Jonathan!
Comment 6 Mason James 2016-12-14 11:15:09 UTC
Pushed to 16.05.x, for 16.05.06 release